Package org.drinkless.tdlib

# Class TdApi.SearchPublicStoriesByVenue

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FoundStories>
org.drinkless.tdlib.TdApi.SearchPublicStoriesByVenue

Enclosing class:
  TdApi

public static class TdApi.SearchPublicStoriesByVenue extends TdApi.Function<TdApi.FoundStories>
Searches for public stories from the given venue. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

Returns `FoundStories`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of stories to be returned; up to 100.
  `String`
  `offset`
  Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `String`
  `venueId`
  Identifier of the venue in the provider database.
  `String`
  `venueProvider`
  Provider of the venue.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchPublicStoriesByVenue()`
  Default constructor for a function, which searches for public stories from the given venue.
  `SearchPublicStoriesByVenue(String venueProvider, String venueId, String offset, int limit)`
  Creates a function, which searches for public stories from the given venue.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### venueProvider

    public String venueProvider
    Provider of the venue.

  - ### venueId

    public String venueId
    Identifier of the venue in the provider database.

  - ### offset

    public String offset
    Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of stories to be returned; up to 100. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchPublicStoriesByVenue

    public SearchPublicStoriesByVenue()
    Default constructor for a function, which searches for public stories from the given venue. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

    Returns `FoundStories`

  - ### SearchPublicStoriesByVenue

    public SearchPublicStoriesByVenue(String venueProvider, String venueId, String offset, int limit)
    Creates a function, which searches for public stories from the given venue. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

    Returns `FoundStories`

    Parameters:
      `venueProvider` - Provider of the venue.
      `venueId` - Identifier of the venue in the provider database.
      `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of stories to be returned; up to 100. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FoundStories>`
    Returns:
      this.CONSTRUCTOR